My Project: dgCollisionCompoundFractured::dgMesh Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionCompoundFractured::dgMesh Class Reference

`#include <dgCollisionCompoundFractured.h>`

Inheritance diagram for dgCollisionCompoundFractured::dgMesh:

## Public Member Functions

| dgMesh (dgMemoryAllocator *const allocator)
| dgMesh (dgMemoryAllocator *const allocator, dgDeserialize deserialization, void *const userData)
| ~dgMesh ()
void | Serialize (dgSerialize callback, void *const userData) const
dgSubMesh * | AddgSubMesh (dgInt32 indexCount, dgInt32 material)
Public Member Functions inherited from dgList< dgSubMesh >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgSubMesh &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgSubMesh &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgSubMesh &element) const
dgListNode * | GetNodeFromInfo (dgSubMesh &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgSubMesh &element)
void | RemoveAll ()
void | Merge (dgList< dgSubMesh > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const
Public Member Functions inherited from dgRefCounter
| dgRefCounter (void)
int | GetRef () const
int | Release ()
void | AddRef ()

## Public Attributes

dgInt32 | m_vertexOffsetStart
dgInt32 | m_vertexCount
bool | m_isVisible

## Additional Inherited Members

Protected Member Functions inherited from dgRefCounter
virtual | ~dgRefCounter (void)

## Constructor & Destructor Documentation

## § dgMesh() [1/2]

dgCollisionCompoundFractured::dgMesh::dgMesh | ( | dgMemoryAllocator *const | allocator | ) |

## § dgMesh() [2/2]

dgCollisionCompoundFractured::dgMesh::dgMesh | ( | dgMemoryAllocator *const | allocator,
|  | dgDeserialize | deserialization,
|  | void *const | userData
| ) |  |

## § ~dgMesh()

dgCollisionCompoundFractured::dgMesh::~dgMesh | ( |  | ) |

## Member Function Documentation

## § AddgSubMesh()

dgCollisionCompoundFractured::dgSubMesh * dgCollisionCompoundFractured::dgMesh::AddgSubMesh | ( | dgInt32 | indexCount,
|  | dgInt32 | material
| ) |  |

## § Serialize()

void dgCollisionCompoundFractured::dgMesh::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

## Member Data Documentation

## § m_isVisible

bool dgCollisionCompoundFractured::dgMesh::m_isVisible

## § m_vertexCount

dgInt32 dgCollisionCompoundFractured::dgMesh::m_vertexCount

## § m_vertexOffsetStart

dgInt32 dgCollisionCompoundFractured::dgMesh::m_vertexOffsetStart

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp